> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trugen.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List All Providers

> Retrieve a list of all supported providers. A provider could be our external partner for STT, LLM or TTS, each entry in the provider has a `provider_type` property which would indicate what type of item is this.



## OpenAPI

````yaml GET /ext/providers
openapi: 3.0.3
info:
  title: TruGen Developer Platform API
  version: 1.0.0
  description: OpenAPI specification for MCP endpoint
servers:
  - url: https://api.trugen.ai/v1
security: []
paths:
  /ext/providers:
    get:
      summary: Get Providers
      description: >-
        Retrieve a list of all supported providers. A provider could be our
        external partner for STT, LLM or TTS, each entry in the provider has a
        `provider_type` property which would indicate what type of item is this.
      operationId: getProviders
      responses:
        '200':
          description: A list of providers and their details.
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    display_name:
                      type: string
                      description: A user friendly name of the model or entity.
                      example: GPT OSS 120B
                    provider:
                      type: string
                      description: Name of the provider to be used while creating an agent.
                      example: groq or openai
                    provider_name:
                      type: string
                      description: A user friendly name of the provider company..
                      example: Groq or OpenAI
                    provider_type:
                      type: string
                      description: >-
                        Type of the provider indicating if this entry is an
                        `STT`, `LLM` or `TTS`.
                      example: stt, llm or tts
                    model:
                      type: string
                      description: Name of the model to be used while creating an agent.
                      example: gpt-4.1-mini
                    additional_fields:
                      type: object
                      description: >-
                        This field represents any additional fields or
                        configuration required for the model. For example this
                        could be audio synthesis settings for your TTS model.
                      example:
                        - name: voice_id
                          type: ENUM
                          items:
                            - label: Chole
                              value: 21m00Tcm4TlvDq8ikWAM
                            - label: Lisa
                              value: ZUrEGyu8GFMwnHbvLhv2
                            - label: Aman
                              value: rFzjTA9NFWPsUdx39OwG
                          label: Voice
                          default_value: ZUrEGyu8GFMwnHbvLhv2
        '401':
          description: Unauthorized – invalid or missing API key
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
              example:
                error: 'Unauthorized: not a valid authorization api key'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
              example:
                error: Failed to retrieve Provider details
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````